package edu.whs.spin2018.baoapp.model.remote.spieleinstellungen;

import edu.whs.spin2018.baoapp.model.remote.BaseInteractorInterface;

public interface SpieleinstellungenRemoteDataSource extends SpieleinstellungenEventListener, BaseInteractorInterface {

    void sendeZeitTyp(String zeitTyp, String raum);

    void sendeSpielerIstBereit(boolean istBereit, String raum);

    void sendeSekunden(int sekunden, String aktuellerRaum);

    void sendeMinuten(int minuten, String aktuellerRaum);

    void setzeListener(SpieleinstellungenEventListener listener);
}
